<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<ng-container *ngLet="(initializing$ | async) ?? false as initializing">
<ng-container *ngLet="(loading$ | async) ?? false as loading">
  <div *ngIf="!initializing" class="flex items-center gap-4">
    <div class="text-primary-500 flex items-center leading-none gap-2">
      <div class="w-4">
        <i *ngIf="!loading" class="fa fa-bell" style="font-size: 1rem"></i>
        <app-spinner *ngIf="loading" [size]="12"></app-spinner>
      </div>
      <div>subscription</div>
    </div>
    <p-selectButton
      *ngIf="!noForms"
      [options]="stateOptions"
      [(ngModel)]="subscribed"
      (onChange)="onChange($event)"
      [unselectable]="false"
      [allowEmpty]="false"
      [disabled]="loading"
      optionLabel="label"
      optionValue="value"
    />
  </div>
  <div *ngIf="initializing" class="flex items-center gap-4">
    <p-skeleton width="100px" height="14px"/>
    <p-skeleton width="114px" height="44px"/>
  </div>
</ng-container>
</ng-container>
